import "./earth_elemental"
import "./air_elemental"
import "./electricity_elemental"
import "./water_elemental"
import "./spirit_elemental"
import "./fire_elemental"

// // new
import "./void_monster"
import "./steel_behemoth"
import "./ld_eb_glacier_colossus"
import "./ld_eb_magma_warden"

import "./hurtEntity"
import * as mc from "@minecraft/server";

export let difficultyDamageController
mc.system.runInterval(()=>{
    const difficulty = mc.world.getDifficulty()
    if(difficulty == 'Easy' && difficultyDamageController != 0.7) {
        difficultyDamageController = 0.7
    } else if(difficulty == 'Normal' && difficultyDamageController != 1) {
        difficultyDamageController = 1
    } else if(difficulty == 'Hard' && difficultyDamageController != 1.4) {
        difficultyDamageController = 1.4
    }
})